> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Request to trigger actions; someone with permission will approve



## OpenAPI

````yaml post /api/v1/actions/request
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/actions/request:
    post:
      tags:
        - devices
      summary: Request to trigger actions; someone with permission will approve
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ActionsRequest'
          application/transit+msgpack:
            schema:
              $ref: '#/components/schemas/ActionsRequest'
          application/transit+json:
            schema:
              $ref: '#/components/schemas/ActionsRequest'
          application/edn:
            schema:
              $ref: '#/components/schemas/ActionsRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response689'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/Response689'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/Response689'
            application/edn:
              schema:
                $ref: '#/components/schemas/Response689'
components:
  schemas:
    ActionsRequest:
      required:
        - action
        - params
        - search_type
      type: object
      properties:
        schedule:
          $ref: '#/components/schemas/ActionsRequestSchedule'
        search_query:
          type: string
        params:
          type: object
        device_ids:
          type: array
          items:
            type: string
        search_type:
          type: string
        action:
          type: string
        timeout:
          type: integer
          format: int64
        metadata:
          type: object
        search_key:
          type: string
      additionalProperties: false
    Response689:
      required:
        - id
      type: object
      properties:
        id:
          type: integer
          format: int64
      additionalProperties: false
    ActionsRequestSchedule:
      required:
        - end_timestamp
        - phases
        - release_notes
        - retry_on_failure_until
      type: object
      properties:
        retry_on_failure_until:
          type: integer
          format: int64
        end_timestamp:
          type: integer
          format: int64
        phases:
          type: array
          items:
            $ref: '#/components/schemas/Phase'
        release_notes:
          type: string
      additionalProperties: false
    Phase:
      required:
        - info
        - name
        - trigger_on
      type: object
      properties:
        name:
          type: string
        trigger_on:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesTriggerOn'
        info:
          type: object
          x-oneOf:
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
            - $ref: '#/components/schemas/ActionsRequestSchedulePhasesInfo'
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````